App\Library\Amazon\Classes\HardLiquor:
    xml_root_name: HardLiquor
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\HardLiquor\VariationDataAType
        countryProducedIn:
            expose: true
            access_type: public_method
            serialized_name: CountryProducedIn
            accessor:
                getter: getCountryProducedIn
                setter: setCountryProducedIn
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        regionOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: RegionOfOrigin
            accessor:
                getter: getRegionOfOrigin
                setter: setRegionOfOrigin
            type: string
        prefecture:
            expose: true
            access_type: public_method
            serialized_name: Prefecture
            accessor:
                getter: getPrefecture
                setter: setPrefecture
            type: string
        itemForm:
            expose: true
            access_type: public_method
            serialized_name: ItemForm
            accessor:
                getter: getItemForm
                setter: setItemForm
            type: string
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        nutritionalFacts:
            expose: true
            access_type: public_method
            serialized_name: NutritionalFacts
            accessor:
                getter: getNutritionalFacts
                setter: setNutritionalFacts
            type: string
        kosherCertification:
            expose: true
            access_type: public_method
            serialized_name: KosherCertification
            accessor:
                getter: getKosherCertification
                setter: setKosherCertification
            xml_list:
                inline: true
                entry_name: KosherCertification
            type: array<string>
        organicCertification:
            expose: true
            access_type: public_method
            serialized_name: OrganicCertification
            accessor:
                getter: getOrganicCertification
                setter: setOrganicCertification
            xml_list:
                inline: true
                entry_name: OrganicCertification
            type: array<string>
        tokuhoCertification:
            expose: true
            access_type: public_method
            serialized_name: TokuhoCertification
            accessor:
                getter: getTokuhoCertification
                setter: setTokuhoCertification
            xml_list:
                inline: true
                entry_name: TokuhoCertification
            type: array<string>
        itemSpecialty:
            expose: true
            access_type: public_method
            serialized_name: ItemSpecialty
            accessor:
                getter: getItemSpecialty
                setter: setItemSpecialty
            xml_list:
                inline: true
                entry_name: ItemSpecialty
            type: array<string>
        varietalComposition:
            expose: true
            access_type: public_method
            serialized_name: VarietalComposition
            accessor:
                getter: getVarietalComposition
                setter: setVarietalComposition
            type: string
        vintage:
            expose: true
            access_type: public_method
            serialized_name: Vintage
            accessor:
                getter: getVintage
                setter: setVintage
            type: string
        bodyDescription:
            expose: true
            access_type: public_method
            serialized_name: BodyDescription
            accessor:
                getter: getBodyDescription
                setter: setBodyDescription
            type: string
        tasteDescription:
            expose: true
            access_type: public_method
            serialized_name: TasteDescription
            accessor:
                getter: getTasteDescription
                setter: setTasteDescription
            type: string
        alcoholContent:
            expose: true
            access_type: public_method
            serialized_name: AlcoholContent
            accessor:
                getter: getAlcoholContent
                setter: setAlcoholContent
            type: App\Library\Amazon\Classes\HardLiquor\AlcoholContentAType
        caffeineContent:
            expose: true
            access_type: public_method
            serialized_name: CaffeineContent
            accessor:
                getter: getCaffeineContent
                setter: setCaffeineContent
            type: string
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        isPerishable:
            expose: true
            access_type: public_method
            serialized_name: IsPerishable
            accessor:
                getter: getIsPerishable
                setter: setIsPerishable
            type: boolean
        storageInstructions:
            expose: true
            access_type: public_method
            serialized_name: StorageInstructions
            accessor:
                getter: getStorageInstructions
                setter: setStorageInstructions
            type: string
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        recommendedServingInstructions:
            expose: true
            access_type: public_method
            serialized_name: RecommendedServingInstructions
            accessor:
                getter: getRecommendedServingInstructions
                setter: setRecommendedServingInstructions
            type: string
        occasion:
            expose: true
            access_type: public_method
            serialized_name: Occasion
            accessor:
                getter: getOccasion
                setter: setOccasion
            type: string
        awardsWon:
            expose: true
            access_type: public_method
            serialized_name: AwardsWon
            accessor:
                getter: getAwardsWon
                setter: setAwardsWon
            xml_list:
                inline: true
                entry_name: AwardsWon
            type: array<string>
        ageRangeDescription:
            expose: true
            access_type: public_method
            serialized_name: AgeRangeDescription
            accessor:
                getter: getAgeRangeDescription
                setter: setAgeRangeDescription
            type: string
        itemPackageQuantity:
            expose: true
            access_type: public_method
            serialized_name: ItemPackageQuantity
            accessor:
                getter: getItemPackageQuantity
                setter: setItemPackageQuantity
            type: integer
        numberOfItems:
            expose: true
            access_type: public_method
            serialized_name: NumberOfItems
            accessor:
                getter: getNumberOfItems
                setter: setNumberOfItems
            type: integer
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        containerType:
            expose: true
            access_type: public_method
            serialized_name: ContainerType
            accessor:
                getter: getContainerType
                setter: setContainerType
            type: string
        unitCount:
            expose: true
            access_type: public_method
            serialized_name: UnitCount
            accessor:
                getter: getUnitCount
                setter: setUnitCount
            type: App\Library\Amazon\Classes\HardLiquor\UnitCountAType
        nutritionalFactsGroup:
            expose: true
            access_type: public_method
            serialized_name: NutritionalFactsGroup
            accessor:
                getter: getNutritionalFactsGroup
                setter: setNutritionalFactsGroup
            type: App\Library\Amazon\Classes\HardLiquor\NutritionalFactsGroupAType
        cuisine:
            expose: true
            access_type: public_method
            serialized_name: Cuisine
            accessor:
                getter: getCuisine
                setter: setCuisine
            type: string
        useByRecommendation:
            expose: true
            access_type: public_method
            serialized_name: UseByRecommendation
            accessor:
                getter: getUseByRecommendation
                setter: setUseByRecommendation
            type: string
        varietalDesignation:
            expose: true
            access_type: public_method
            serialized_name: VarietalDesignation
            accessor:
                getter: getVarietalDesignation
                setter: setVarietalDesignation
            type: string
        isExpirationDatedProduct:
            expose: true
            access_type: public_method
            serialized_name: IsExpirationDatedProduct
            accessor:
                getter: getIsExpirationDatedProduct
                setter: setIsExpirationDatedProduct
            type: boolean
        containerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: ContainerMaterialType
            accessor:
                getter: getContainerMaterialType
                setter: setContainerMaterialType
            type: string
